Page MenuHomePhabricator

Highlight matching parts of link suggestions
Closed, ResolvedPublic8 Story Points

Event Timeline

sucheta created this task.Mar 23 2015, 11:45 PM
sucheta updated the task description. (Show Details)
sucheta raised the priority of this task from to Normal.
sucheta claimed this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2015, 11:45 PM

This seems like a large amount of work for little gain. What's the user benefit?

At the weekly triage meeting today, we decided that this wasn't urgent for this quarter, so declined to accept it.

Agreed to de-scope from the new search interface and do later.

Is this in the context of T76397: New search interface for link dialogue? If that is the case, it would be great to link it in some way (e.g., dependency) to provide a bit more context.

This seems like a large amount of work for little gain. What's the user benefit?

This is an usual pattern in search interfaces. It helps to easily find what you are looking for by separating the common from the different aspect of search results (i.e., the user only has to scan a fraction of the information since the common part can be ignored). It also helps to connect better what you type from the list of results (it communicate why each result is appearing).

This pattern is common in many search interfaces, from Google to DuckDuckGo (although they highlight different parts, the key point is to allow users to distinguish them):

Agreed to de-scope from the new search interface and do later.

A search UI can definitely be used without applying that pattern, but it would be great to have some metrics that let us know how often and how fast users are able to find the results.

Change 208624 had a related patch set uploaded (by Esanders):
Highlight matching parts of link suggestions

https://gerrit.wikimedia.org/r/208624

Change 208624 merged by jenkins-bot:
Highlight matching parts of link suggestions

https://gerrit.wikimedia.org/r/208624

Esanders moved this task from TR6: Visual diffs to Q4 on the VisualEditor board.May 5 2015, 12:26 PM
Jdforrester-WMF renamed this task from Underline matching parts of link suggestions to Highlight matching parts of link suggestions.May 6 2015, 9:51 PM
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from Backlog to Done on the VisualEditor 2014/15 Q4 blockers board.
Jdforrester-WMF edited a custom field.